# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "albert einstein",
"cursor_pointer": 6
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"cursor_pointer": 6,
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post"
payload = [
{
"cursor_pointer": 6,
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
cursor_pointer: 6,
keyword: 'albert einstein',
language_code: 'en',
location_code: 2840
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'cursor_pointer' => 6,
'keyword' => 'albert einstein',
'language_code' => 'en',
'location_code' => 2840
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post"
payload := strings.NewReader("[\n {\n \"cursor_pointer\": 6,\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"cursor_pointer\": 6,\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"cursor_pointer\": 6,\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}设置 Google 自动补全任务
设置 Google Autocomplete 任务。
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "albert einstein",
"cursor_pointer": 6
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"cursor_pointer": 6,
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post"
payload = [
{
"cursor_pointer": 6,
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
cursor_pointer: 6,
keyword: 'albert einstein',
language_code: 'en',
location_code: 2840
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'cursor_pointer' => 6,
'keyword' => 'albert einstein',
'language_code' => 'en',
'location_code' => 2840
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post"
payload := strings.NewReader("[\n {\n \"cursor_pointer\": 6,\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"cursor_pointer\": 6,\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"cursor_pointer\": 6,\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"keyword": "...", "client": "...", "location_name": "..."}]'
请求规范
- 方法与路径: POST /apis/v1/dataforseo/serp/google/autocomplete/task_post
- 可用状态: enabled
- 请求 URL 模板: https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_post
- Runtime 事实版本: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "post_dataforseo_serp_google_autocomplete_submit",
"method": "POST",
"path": "/apis/v1/dataforseo/serp/google/autocomplete/task_post",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"cursor_pointer": 6,
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}
],
"items": {
"oneOf": [
{
"properties": {
"client": {
"description": "<p><em>search client for autocomplete</em><p>optional field<p>autocomplete results may differ depending on the search client;<p>possible values:<p><code>chrome</code> — used when google search is opened in google chrome;<p><code>chrome-omni</code> — used in the address bar in chrome;<p><code>gws-wiz</code> — used in google search home page;<p><code>gws-wiz-serp</code> — used in google search engine results page;<p><code>safari</code> — used when google search is opened in safari browser;<p><code>firefox</code> — used when google search is opened in firefox browser;<p><code>psy-ab</code> — may be used when google search is opened in google chrome browser;<p><code>toolbar</code> — returns XML;<p><code>youtube</code> — returns JSONP;<p><code>gws-wiz-local</code> — used in google local;<p><code>img</code> — used in google's image search;<p><code>products-cc</code> — used in google shopping search</p>",
"type": [
"string",
"null"
]
},
"cursor_pointer": {
"description": "<p><em>search bar cursor pointer</em><p>optional field<p>the horizontal numerical position of the cursor pointer within the keyword in the search bar;<p>by modifying the position of the cursor pointer, you will obtain different autocomplete suggestions for the same seed keyword;<p>minimal value: <code>0</code><p>default value: the number of the last character of the specified <code>keyword</code><p>example:<p><code>|which query are s</code> - <code>\"cursor_pointer\": 0</code><p><code>which query is s|</code> - <code>\"cursor_pointer\": 16</code><p><code>which que|ry is s</code> - <code>\"cursor_pointer\": 9</code></p>",
"type": [
"integer",
"null"
]
},
"keyword": {
"description": "<p><em>keyword</em><p><strong>required field</strong><p>you can specify <strong>up to 700 characters</strong> in the <code>keyword</code> field<p>all %## will be decoded (plus character ‘+’ will be decoded to a space character)<p>if you need to use the “%” character for your <code>keyword</code>, please specify it as “%25”;<p>if you need to use the “+” character for your <code>keyword</code>, please specify it as “%2B”;</p><br><p>learn more about rules and limitations of <code>keyword</code> and <code>keywords</code> fields in DataForSEO APIs in this <a href=\"https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis\" rel=\"noopener noreferrer\" target=\"_blank\">Help Center article</a></p>",
"type": "string"
},
"language_code": {
"description": "<p><em>search engine language code</em><p><strong>required field if you don't specify</strong> <code>language_name</code><p><strong>if you use this field, you don't need to specify <code>language_name</code></strong>;<p>you can receive the list of available languages of the search engine with their <code>language_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/serp/google/languages</code><em><p></em>example:<em><p></em><code class=\"long-string\">en</code></p>",
"type": "string"
},
"language_name": {
"description": "<p><em>full name of search engine language</em><p><strong>required field if you don't specify</strong> <code>language_code</code><p><strong>if you use this field, you don't need to specify <code>language_code</code></strong>;<p>you can receive the list of available languages of the search engine with their <code>language_name</code> by making a separate request to <code>https://api.dataforseo.com/v3/serp/google/languages</code><p>example:<p><code class=\"long-string\">English</code></p>",
"type": "string"
},
"location_code": {
"description": "<p><em>search engine location code</em><p><strong>required field if you don't specify</strong> <code>location_name</code>;<p>you can receive the list of available locations of the search engines with their <code>location_code</code> by making a separate request to <code>https://api.dataforseo.com/v3/serp/google/locations</code><p>example:<p><code class=\"long-string\">2840</code></p>",
"type": "integer"
},
"location_name": {
"description": "<p><em>full name of search engine location</em><p><strong>required field if you don't specify</strong> <code>location_code</code><p><strong>if you use this field, you don't need to specify <code>location_code</code></strong>;<p>you can receive the list of available locations of the search engine with their <code>location_name</code> by making a separate request to <code>https://api.dataforseo.com/v3/serp/google/autocomplete/locations</code><p>example:<p><code class=\"long-string\">London,England,United Kingdom</code></p>",
"type": "string"
},
"pingback_url": {
"description": "<p><em>notification URL of a completed task</em><p>optional field<p>when a task is completed we will notify you by GET request sent to the URL you have specified<p>you can use the ‘$id’ string as a <code>$id</code> variable and ‘$tag’ as urlencoded <code>$tag</code> variable. We will set the necessary values before sending the request.<p>example:<p><code>http://your-server.com/pingscript?id=$id</code><p><code>http://your-server.com/pingscript?id=$id&tag=$tag</code><p><strong>Note:</strong> special characters in <code>pingback_url</code> will be urlencoded;<p>i.a., the <code>#</code> character will be encoded into <code>%23</code></p><br><p>learn more on our <a href=\"https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api\" target=\"_blank\" rel=\"noopener noreferrer\">Help Center</a></p>",
"type": [
"string",
"null"
]
},
"postback_data": {
"description": "<p><em>postback_url datatype</em><p><strong>required field if you specify <code>postback_url</code></strong><p>corresponds to the datatype that will be sent to your server<p>possible values:<p><code>advanced</code></p>",
"type": "string"
},
"postback_url": {
"description": "<p><em>URL for sending task results</em><p>optional field<p>once the task is completed, we will send a POST request with its results compressed in the <code>gzip</code> format to the <code>postback_url</code> you specified<p>you can use the ‘$id’ string as a <code>$id</code> variable and ‘$tag’ as urlencoded <code>$tag</code> variable. We will set the necessary values before sending the request<p>example:<p><code>http://your-server.com/postbackscript?id=$id</code><p><code>http://your-server.com/postbackscript?id=$id&tag=$tag</code><p><strong>Note:</strong> special characters in <code>postback_url</code> will be url-encoded;<p>i.e., the <code>#</code> character will be encoded into <code>%23</code></p><br><p>learn more on our <a href=\"https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api\" target=\"_blank\" rel=\"noopener noreferrer\">Help Center</a></p>",
"type": [
"string",
"null"
]
},
"priority": {
"description": "<p><em>task priority</em><p>optional field<p>can take the following values:<p>1 – normal execution priority (set by default);<p>2 – high execution priority</p><br>You will be additionally charged for the tasks with high execution priority;<p>The cost can be calculated on the <a title=\"Pricing\" href=\"https://dataforseo.com/pricing/serp/google-autocomplete-serp-api\" target=\"_blank\" rel=\"noopener noreferrer\">Pricing</a> page",
"type": [
"integer",
"null"
]
},
"tag": {
"description": "<p><em>user-defined task identifier</em><p>optional field<p><em>the character limit is 255</em><p>you can use this parameter to identify the task and match it with the result<p>you will find the specified <code>tag</code> value in the <code>data</code> object of the response</p>",
"type": [
"string",
"null"
]
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.02,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.02 USD(不是固定价格)。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.02
- 计费依据: response_usd
- 公开参考倍率: 1.0
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
search client for autocomplete
optional field
autocomplete results may differ depending on the search client;
possible values:
chrome — used when google search is opened in google chrome;
chrome-omni — used in the address bar in chrome;
gws-wiz — used in google search home page;
gws-wiz-serp — used in google search engine results page;
safari — used when google search is opened in safari browser;
firefox — used when google search is opened in firefox browser;
psy-ab — may be used when google search is opened in google chrome browser;
toolbar — returns XML;
youtube — returns JSONP;
gws-wiz-local — used in google local;
img — used in google's image search;
products-cc — used in google shopping search
search bar cursor pointer
optional field
the horizontal numerical position of the cursor pointer within the keyword in the search bar;
by modifying the position of the cursor pointer, you will obtain different autocomplete suggestions for the same seed keyword;
minimal value: 0
default value: the number of the last character of the specified keyword
example:
|which query are s - "cursor_pointer": 0
which query is s| - "cursor_pointer": 16
which que|ry is s - "cursor_pointer": 9
keyword
required field
you can specify up to 700 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”;
learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article
search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name;
you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages
example:
en
full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code;
you can receive the list of available languages of the search engine with their language_name by making a separate request to https://api.dataforseo.com/v3/serp/google/languages
example:
English
search engine location code
required field if you don't specify location_name;
you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/serp/google/locations
example:
2840
full name of search engine location
required field if you don't specify location_code
if you use this field, you don't need to specify location_code;
you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/serp/google/autocomplete/locations
example:
London,England,United Kingdom
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/pingscript?id=$id
http://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
postback_url datatype
required field if you specify postback_url
corresponds to the datatype that will be sent to your server
possible values:
advanced
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request
example:
http://your-server.com/postbackscript?id=$id
http://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be url-encoded;
i.e., the # character will be encoded into %23
learn more on our Help Center
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[
{
"cursor_pointer": 6,
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}
]
响应
Successful operation
任务总成本(美元)
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
total execution time, seconds
API 的当前版本
array of tasks
Show child attributes
Show child attributes